#include "euobject.h"
#include <stdio.h>
void EuObject::sub(EuObject *obj)
{
	if (type == INTEGER)
	{
		if (obj->type == INTEGER)
			iVal -= obj->iVal;
		else if (obj->type == ATOM) {
			double v = (double)iVal;
			v -= obj->aVal;
			type = ATOM;
			aVal = v;
		} else {
			printf("Can't sub integer, sequence\n");
			abort();
		}
	} else if (type == ATOM) {
		if (obj->type == INTEGER)
			aVal -= (double)obj->iVal;
		else if (obj->type == ATOM) {
			aVal -= obj->aVal;
		} else {
			printf("Can't sub atom, sequence\n");
			abort();
		}
	} else {
		if (obj->type != SEQUENCE) {
         for (long i = 0; i < size; i++)
             children[i].sub(obj);
		} else {
			if (size != obj->size) {
            for (long i = 0; i < size; i++)
                children[i].sub(obj);
			} else {
            for (long i = 0; i < size; i++)
                children[i].sub(&obj->children[i]);
			}
		}
	}
 }
