#ifndef COMMON_H
#define COMMON_H
#include <stdio.h>
#include <math.h>
#include "calstack.h"
#include "euobject.h"
#include "stack.h"
#include "code.h"
extern long readInt(FILE *f);
extern void setRv(long v);
extern void ret();
extern void call(long rpv);
extern void jmp(long label);
extern void cjmp(long label, EuObject *obj);
extern void Push(EuObject *obj);
extern void Pop(EuObject *obj);
extern void ldss(EuObject *obj);
extern void oscall(EuObject *obj);
extern void end();
extern void err(EuObject *obj);
extern void initOpcodes();
extern EuObject *rv;
extern EuObject *vars;
#endif
