#include "ops.h"
#include "opers.h"
Opcode opcodes[114];
void initOpcodes() {
  opcodes[0].nargs = 1;
  opcodes[0].argtypes = new int[1];
  opcodes[0].argtypes[0] = 1;
  opcodes[0].run = SETRV;
  opcodes[1].nargs = 2;
  opcodes[1].argtypes = new int[2];
  opcodes[1].argtypes[0] = 1;
  opcodes[1].argtypes[1] = 1;
  opcodes[1].run = MOV;
  opcodes[2].nargs = 2;
  opcodes[2].argtypes = new int[2];
  opcodes[2].argtypes[0] = 1;
  opcodes[2].argtypes[1] = 2;
  opcodes[2].run = MOV;
  opcodes[3].nargs = 3;
  opcodes[3].argtypes = new int[3];
  opcodes[3].argtypes[0] = 1;
  opcodes[3].argtypes[1] = 1;
  opcodes[3].argtypes[2] = 1;
  opcodes[3].run = MOVDI;
  opcodes[4].nargs = 3;
  opcodes[4].argtypes = new int[3];
  opcodes[4].argtypes[0] = 1;
  opcodes[4].argtypes[1] = 2;
  opcodes[4].argtypes[2] = 1;
  opcodes[4].run = MOVDI;
  opcodes[5].nargs = 3;
  opcodes[5].argtypes = new int[3];
  opcodes[5].argtypes[0] = 1;
  opcodes[5].argtypes[1] = 1;
  opcodes[5].argtypes[2] = 2;
  opcodes[5].run = MOVDI;
  opcodes[6].nargs = 3;
  opcodes[6].argtypes = new int[3];
  opcodes[6].argtypes[0] = 1;
  opcodes[6].argtypes[1] = 2;
  opcodes[6].argtypes[2] = 2;
  opcodes[6].run = MOVDI;
  opcodes[7].nargs = 3;
  opcodes[7].argtypes = new int[3];
  opcodes[7].argtypes[0] = 1;
  opcodes[7].argtypes[1] = 1;
  opcodes[7].argtypes[2] = 1;
  opcodes[7].run = MOVSI;
  opcodes[8].nargs = 3;
  opcodes[8].argtypes = new int[3];
  opcodes[8].argtypes[0] = 1;
  opcodes[8].argtypes[1] = 2;
  opcodes[8].argtypes[2] = 1;
  opcodes[8].run = MOVSI;
  opcodes[9].nargs = 3;
  opcodes[9].argtypes = new int[3];
  opcodes[9].argtypes[0] = 1;
  opcodes[9].argtypes[1] = 1;
  opcodes[9].argtypes[2] = 2;
  opcodes[9].run = MOVSI;
  opcodes[10].nargs = 3;
  opcodes[10].argtypes = new int[3];
  opcodes[10].argtypes[0] = 1;
  opcodes[10].argtypes[1] = 2;
  opcodes[10].argtypes[2] = 2;
  opcodes[10].run = MOVSI;
  opcodes[11].nargs = 2;
  opcodes[11].argtypes = new int[2];
  opcodes[11].argtypes[0] = 1;
  opcodes[11].argtypes[1] = 1;
  opcodes[11].run = ADD;
  opcodes[12].nargs = 2;
  opcodes[12].argtypes = new int[2];
  opcodes[12].argtypes[0] = 1;
  opcodes[12].argtypes[1] = 2;
  opcodes[12].run = ADD;
  opcodes[13].nargs = 2;
  opcodes[13].argtypes = new int[2];
  opcodes[13].argtypes[0] = 1;
  opcodes[13].argtypes[1] = 1;
  opcodes[13].run = SUB;
  opcodes[14].nargs = 2;
  opcodes[14].argtypes = new int[2];
  opcodes[14].argtypes[0] = 1;
  opcodes[14].argtypes[1] = 2;
  opcodes[14].run = SUB;
  opcodes[15].nargs = 2;
  opcodes[15].argtypes = new int[2];
  opcodes[15].argtypes[0] = 1;
  opcodes[15].argtypes[1] = 1;
  opcodes[15].run = MUL;
  opcodes[16].nargs = 2;
  opcodes[16].argtypes = new int[2];
  opcodes[16].argtypes[0] = 1;
  opcodes[16].argtypes[1] = 2;
  opcodes[16].run = MUL;
  opcodes[17].nargs = 2;
  opcodes[17].argtypes = new int[2];
  opcodes[17].argtypes[0] = 1;
  opcodes[17].argtypes[1] = 1;
  opcodes[17].run = DIV;
  opcodes[18].nargs = 2;
  opcodes[18].argtypes = new int[2];
  opcodes[18].argtypes[0] = 1;
  opcodes[18].argtypes[1] = 2;
  opcodes[18].run = DIV;
  opcodes[19].nargs = 2;
  opcodes[19].argtypes = new int[2];
  opcodes[19].argtypes[0] = 1;
  opcodes[19].argtypes[1] = 1;
  opcodes[19].run = AND;
  opcodes[20].nargs = 2;
  opcodes[20].argtypes = new int[2];
  opcodes[20].argtypes[0] = 1;
  opcodes[20].argtypes[1] = 2;
  opcodes[20].run = AND;
  opcodes[21].nargs = 2;
  opcodes[21].argtypes = new int[2];
  opcodes[21].argtypes[0] = 1;
  opcodes[21].argtypes[1] = 1;
  opcodes[21].run = OR;
  opcodes[22].nargs = 2;
  opcodes[22].argtypes = new int[2];
  opcodes[22].argtypes[0] = 1;
  opcodes[22].argtypes[1] = 2;
  opcodes[22].run = OR;
  opcodes[23].nargs = 2;
  opcodes[23].argtypes = new int[2];
  opcodes[23].argtypes[0] = 1;
  opcodes[23].argtypes[1] = 1;
  opcodes[23].run = XOR;
  opcodes[24].nargs = 2;
  opcodes[24].argtypes = new int[2];
  opcodes[24].argtypes[0] = 1;
  opcodes[24].argtypes[1] = 2;
  opcodes[24].run = XOR;
  opcodes[25].nargs = 1;
  opcodes[25].argtypes = new int[1];
  opcodes[25].argtypes[0] = 1;
  opcodes[25].run = NOT;
  opcodes[26].nargs = 2;
  opcodes[26].argtypes = new int[2];
  opcodes[26].argtypes[0] = 1;
  opcodes[26].argtypes[1] = 1;
  opcodes[26].run = MOVLEN;
  opcodes[27].nargs = 2;
  opcodes[27].argtypes = new int[2];
  opcodes[27].argtypes[0] = 1;
  opcodes[27].argtypes[1] = 2;
  opcodes[27].run = MOVLEN;
  opcodes[28].nargs = 2;
  opcodes[28].argtypes = new int[2];
  opcodes[28].argtypes[0] = 1;
  opcodes[28].argtypes[1] = 1;
  opcodes[28].run = REPEAT;
  opcodes[29].nargs = 2;
  opcodes[29].argtypes = new int[2];
  opcodes[29].argtypes[0] = 1;
  opcodes[29].argtypes[1] = 2;
  opcodes[29].run = REPEAT;
  opcodes[30].nargs = 2;
  opcodes[30].argtypes = new int[2];
  opcodes[30].argtypes[0] = 1;
  opcodes[30].argtypes[1] = 1;
  opcodes[30].run = APPEND;
  opcodes[31].nargs = 2;
  opcodes[31].argtypes = new int[2];
  opcodes[31].argtypes[0] = 1;
  opcodes[31].argtypes[1] = 2;
  opcodes[31].run = APPEND;
  opcodes[32].nargs = 2;
  opcodes[32].argtypes = new int[2];
  opcodes[32].argtypes[0] = 1;
  opcodes[32].argtypes[1] = 1;
  opcodes[32].run = PREPEND;
  opcodes[33].nargs = 2;
  opcodes[33].argtypes = new int[2];
  opcodes[33].argtypes[0] = 1;
  opcodes[33].argtypes[1] = 2;
  opcodes[33].run = PREPEND;
  opcodes[34].nargs = 2;
  opcodes[34].argtypes = new int[2];
  opcodes[34].argtypes[0] = 1;
  opcodes[34].argtypes[1] = 1;
  opcodes[34].run = CONCEN;
  opcodes[35].nargs = 2;
  opcodes[35].argtypes = new int[2];
  opcodes[35].argtypes[0] = 1;
  opcodes[35].argtypes[1] = 2;
  opcodes[35].run = CONCEN;
  opcodes[36].nargs = 2;
  opcodes[36].argtypes = new int[2];
  opcodes[36].argtypes[0] = 1;
  opcodes[36].argtypes[1] = 1;
  opcodes[36].run = ANDBITS;
  opcodes[37].nargs = 2;
  opcodes[37].argtypes = new int[2];
  opcodes[37].argtypes[0] = 1;
  opcodes[37].argtypes[1] = 2;
  opcodes[37].run = ANDBITS;
  opcodes[38].nargs = 2;
  opcodes[38].argtypes = new int[2];
  opcodes[38].argtypes[0] = 1;
  opcodes[38].argtypes[1] = 1;
  opcodes[38].run = ORBITS;
  opcodes[39].nargs = 2;
  opcodes[39].argtypes = new int[2];
  opcodes[39].argtypes[0] = 1;
  opcodes[39].argtypes[1] = 2;
  opcodes[39].run = ORBITS;
  opcodes[40].nargs = 2;
  opcodes[40].argtypes = new int[2];
  opcodes[40].argtypes[0] = 1;
  opcodes[40].argtypes[1] = 1;
  opcodes[40].run = XORBITS;
  opcodes[41].nargs = 2;
  opcodes[41].argtypes = new int[2];
  opcodes[41].argtypes[0] = 1;
  opcodes[41].argtypes[1] = 2;
  opcodes[41].run = XORBITS;
  opcodes[42].nargs = 1;
  opcodes[42].argtypes = new int[1];
  opcodes[42].argtypes[0] = 1;
  opcodes[42].run = NOTBITS;
  opcodes[43].nargs = 1;
  opcodes[43].argtypes = new int[1];
  opcodes[43].argtypes[0] = 1;
  opcodes[43].run = FLOOR;
  opcodes[44].nargs = 1;
  opcodes[44].argtypes = new int[1];
  opcodes[44].argtypes[0] = 1;
  opcodes[44].run = SQRT;
  opcodes[45].nargs = 2;
  opcodes[45].argtypes = new int[2];
  opcodes[45].argtypes[0] = 1;
  opcodes[45].argtypes[1] = 1;
  opcodes[45].run = REMAINDER;
  opcodes[46].nargs = 2;
  opcodes[46].argtypes = new int[2];
  opcodes[46].argtypes[0] = 1;
  opcodes[46].argtypes[1] = 2;
  opcodes[46].run = REMAINDER;
  opcodes[47].nargs = 2;
  opcodes[47].argtypes = new int[2];
  opcodes[47].argtypes[0] = 1;
  opcodes[47].argtypes[1] = 1;
  opcodes[47].run = RAND;
  opcodes[48].nargs = 2;
  opcodes[48].argtypes = new int[2];
  opcodes[48].argtypes[0] = 1;
  opcodes[48].argtypes[1] = 2;
  opcodes[48].run = RAND;
  opcodes[49].nargs = 1;
  opcodes[49].argtypes = new int[1];
  opcodes[49].argtypes[0] = 1;
  opcodes[49].run = SIN;
  opcodes[50].nargs = 1;
  opcodes[50].argtypes = new int[1];
  opcodes[50].argtypes[0] = 1;
  opcodes[50].run = ARCSIN;
  opcodes[51].nargs = 1;
  opcodes[51].argtypes = new int[1];
  opcodes[51].argtypes[0] = 1;
  opcodes[51].run = COS;
  opcodes[52].nargs = 1;
  opcodes[52].argtypes = new int[1];
  opcodes[52].argtypes[0] = 1;
  opcodes[52].run = ARCCOS;
  opcodes[53].nargs = 1;
  opcodes[53].argtypes = new int[1];
  opcodes[53].argtypes[0] = 1;
  opcodes[53].run = TAN;
  opcodes[54].nargs = 1;
  opcodes[54].argtypes = new int[1];
  opcodes[54].argtypes[0] = 1;
  opcodes[54].run = ARCTAN;
  opcodes[55].nargs = 1;
  opcodes[55].argtypes = new int[1];
  opcodes[55].argtypes[0] = 1;
  opcodes[55].run = LOG;
  opcodes[56].nargs = 2;
  opcodes[56].argtypes = new int[2];
  opcodes[56].argtypes[0] = 1;
  opcodes[56].argtypes[1] = 1;
  opcodes[56].run = POWER;
  opcodes[57].nargs = 2;
  opcodes[57].argtypes = new int[2];
  opcodes[57].argtypes[0] = 1;
  opcodes[57].argtypes[1] = 2;
  opcodes[57].run = POWER;
  opcodes[58].nargs = 2;
  opcodes[58].argtypes = new int[2];
  opcodes[58].argtypes[0] = 1;
  opcodes[58].argtypes[1] = 1;
  opcodes[58].run = CE;
  opcodes[59].nargs = 2;
  opcodes[59].argtypes = new int[2];
  opcodes[59].argtypes[0] = 2;
  opcodes[59].argtypes[1] = 1;
  opcodes[59].run = CE;
  opcodes[60].nargs = 2;
  opcodes[60].argtypes = new int[2];
  opcodes[60].argtypes[0] = 1;
  opcodes[60].argtypes[1] = 2;
  opcodes[60].run = CE;
  opcodes[61].nargs = 2;
  opcodes[61].argtypes = new int[2];
  opcodes[61].argtypes[0] = 2;
  opcodes[61].argtypes[1] = 2;
  opcodes[61].run = CE;
  opcodes[62].nargs = 2;
  opcodes[62].argtypes = new int[2];
  opcodes[62].argtypes[0] = 1;
  opcodes[62].argtypes[1] = 1;
  opcodes[62].run = CNE;
  opcodes[63].nargs = 2;
  opcodes[63].argtypes = new int[2];
  opcodes[63].argtypes[0] = 2;
  opcodes[63].argtypes[1] = 1;
  opcodes[63].run = CNE;
  opcodes[64].nargs = 2;
  opcodes[64].argtypes = new int[2];
  opcodes[64].argtypes[0] = 1;
  opcodes[64].argtypes[1] = 2;
  opcodes[64].run = CNE;
  opcodes[65].nargs = 2;
  opcodes[65].argtypes = new int[2];
  opcodes[65].argtypes[0] = 2;
  opcodes[65].argtypes[1] = 2;
  opcodes[65].run = CNE;
  opcodes[66].nargs = 2;
  opcodes[66].argtypes = new int[2];
  opcodes[66].argtypes[0] = 1;
  opcodes[66].argtypes[1] = 1;
  opcodes[66].run = CL;
  opcodes[67].nargs = 2;
  opcodes[67].argtypes = new int[2];
  opcodes[67].argtypes[0] = 2;
  opcodes[67].argtypes[1] = 1;
  opcodes[67].run = CL;
  opcodes[68].nargs = 2;
  opcodes[68].argtypes = new int[2];
  opcodes[68].argtypes[0] = 1;
  opcodes[68].argtypes[1] = 2;
  opcodes[68].run = CL;
  opcodes[69].nargs = 2;
  opcodes[69].argtypes = new int[2];
  opcodes[69].argtypes[0] = 2;
  opcodes[69].argtypes[1] = 2;
  opcodes[69].run = CL;
  opcodes[70].nargs = 2;
  opcodes[70].argtypes = new int[2];
  opcodes[70].argtypes[0] = 1;
  opcodes[70].argtypes[1] = 1;
  opcodes[70].run = CG;
  opcodes[71].nargs = 2;
  opcodes[71].argtypes = new int[2];
  opcodes[71].argtypes[0] = 2;
  opcodes[71].argtypes[1] = 1;
  opcodes[71].run = CG;
  opcodes[72].nargs = 2;
  opcodes[72].argtypes = new int[2];
  opcodes[72].argtypes[0] = 1;
  opcodes[72].argtypes[1] = 2;
  opcodes[72].run = CG;
  opcodes[73].nargs = 2;
  opcodes[73].argtypes = new int[2];
  opcodes[73].argtypes[0] = 2;
  opcodes[73].argtypes[1] = 2;
  opcodes[73].run = CG;
  opcodes[74].nargs = 2;
  opcodes[74].argtypes = new int[2];
  opcodes[74].argtypes[0] = 1;
  opcodes[74].argtypes[1] = 1;
  opcodes[74].run = CLE;
  opcodes[75].nargs = 2;
  opcodes[75].argtypes = new int[2];
  opcodes[75].argtypes[0] = 2;
  opcodes[75].argtypes[1] = 1;
  opcodes[75].run = CLE;
  opcodes[76].nargs = 2;
  opcodes[76].argtypes = new int[2];
  opcodes[76].argtypes[0] = 1;
  opcodes[76].argtypes[1] = 2;
  opcodes[76].run = CLE;
  opcodes[77].nargs = 2;
  opcodes[77].argtypes = new int[2];
  opcodes[77].argtypes[0] = 2;
  opcodes[77].argtypes[1] = 2;
  opcodes[77].run = CLE;
  opcodes[78].nargs = 2;
  opcodes[78].argtypes = new int[2];
  opcodes[78].argtypes[0] = 1;
  opcodes[78].argtypes[1] = 1;
  opcodes[78].run = CGE;
  opcodes[79].nargs = 2;
  opcodes[79].argtypes = new int[2];
  opcodes[79].argtypes[0] = 2;
  opcodes[79].argtypes[1] = 1;
  opcodes[79].run = CGE;
  opcodes[80].nargs = 2;
  opcodes[80].argtypes = new int[2];
  opcodes[80].argtypes[0] = 1;
  opcodes[80].argtypes[1] = 2;
  opcodes[80].run = CGE;
  opcodes[81].nargs = 2;
  opcodes[81].argtypes = new int[2];
  opcodes[81].argtypes[0] = 2;
  opcodes[81].argtypes[1] = 2;
  opcodes[81].run = CGE;
  opcodes[82].nargs = 2;
  opcodes[82].argtypes = new int[2];
  opcodes[82].argtypes[0] = 1;
  opcodes[82].argtypes[1] = 1;
  opcodes[82].run = CMP;
  opcodes[83].nargs = 2;
  opcodes[83].argtypes = new int[2];
  opcodes[83].argtypes[0] = 2;
  opcodes[83].argtypes[1] = 1;
  opcodes[83].run = CMP;
  opcodes[84].nargs = 2;
  opcodes[84].argtypes = new int[2];
  opcodes[84].argtypes[0] = 1;
  opcodes[84].argtypes[1] = 2;
  opcodes[84].run = CMP;
  opcodes[85].nargs = 2;
  opcodes[85].argtypes = new int[2];
  opcodes[85].argtypes[0] = 2;
  opcodes[85].argtypes[1] = 2;
  opcodes[85].run = CMP;
  opcodes[86].nargs = 2;
  opcodes[86].argtypes = new int[2];
  opcodes[86].argtypes[0] = 1;
  opcodes[86].argtypes[1] = 1;
  opcodes[86].run = EQU;
  opcodes[87].nargs = 2;
  opcodes[87].argtypes = new int[2];
  opcodes[87].argtypes[0] = 2;
  opcodes[87].argtypes[1] = 1;
  opcodes[87].run = EQU;
  opcodes[88].nargs = 2;
  opcodes[88].argtypes = new int[2];
  opcodes[88].argtypes[0] = 1;
  opcodes[88].argtypes[1] = 2;
  opcodes[88].run = EQU;
  opcodes[89].nargs = 2;
  opcodes[89].argtypes = new int[2];
  opcodes[89].argtypes[0] = 2;
  opcodes[89].argtypes[1] = 2;
  opcodes[89].run = EQU;
  opcodes[90].nargs = 0;
  opcodes[90].argtypes = new int[0];
  opcodes[90].run = RET;
  opcodes[91].nargs = 1;
  opcodes[91].argtypes = new int[1];
  opcodes[91].argtypes[0] = 1;
  opcodes[91].run = CALL;
  opcodes[92].nargs = 1;
  opcodes[92].argtypes = new int[1];
  opcodes[92].argtypes[0] = 2;
  opcodes[92].run = CALL;
  opcodes[93].nargs = 1;
  opcodes[93].argtypes = new int[1];
  opcodes[93].argtypes[0] = 1;
  opcodes[93].run = JMP;
  opcodes[94].nargs = 1;
  opcodes[94].argtypes = new int[1];
  opcodes[94].argtypes[0] = 2;
  opcodes[94].run = JMP;
  opcodes[95].nargs = 2;
  opcodes[95].argtypes = new int[2];
  opcodes[95].argtypes[0] = 1;
  opcodes[95].argtypes[1] = 1;
  opcodes[95].run = CJMP;
  opcodes[96].nargs = 2;
  opcodes[96].argtypes = new int[2];
  opcodes[96].argtypes[0] = 2;
  opcodes[96].argtypes[1] = 1;
  opcodes[96].run = CJMP;
  opcodes[97].nargs = 2;
  opcodes[97].argtypes = new int[2];
  opcodes[97].argtypes[0] = 1;
  opcodes[97].argtypes[1] = 2;
  opcodes[97].run = CJMP;
  opcodes[98].nargs = 2;
  opcodes[98].argtypes = new int[2];
  opcodes[98].argtypes[0] = 2;
  opcodes[98].argtypes[1] = 2;
  opcodes[98].run = CJMP;
  opcodes[99].nargs = 0;
  opcodes[99].argtypes = new int[0];
  opcodes[99].run = END;
  opcodes[100].nargs = 1;
  opcodes[100].argtypes = new int[1];
  opcodes[100].argtypes[0] = 1;
  opcodes[100].run = ERR;
  opcodes[101].nargs = 1;
  opcodes[101].argtypes = new int[1];
  opcodes[101].argtypes[0] = 2;
  opcodes[101].run = ERR;
  opcodes[102].nargs = 1;
  opcodes[102].argtypes = new int[1];
  opcodes[102].argtypes[0] = 1;
  opcodes[102].run = PUSH;
  opcodes[103].nargs = 1;
  opcodes[103].argtypes = new int[1];
  opcodes[103].argtypes[0] = 2;
  opcodes[103].run = PUSH;
  opcodes[104].nargs = 1;
  opcodes[104].argtypes = new int[1];
  opcodes[104].argtypes[0] = 1;
  opcodes[104].run = POP;
  opcodes[105].nargs = 1;
  opcodes[105].argtypes = new int[1];
  opcodes[105].argtypes[0] = 1;
  opcodes[105].run = LDSS;
  opcodes[106].nargs = 1;
  opcodes[106].argtypes = new int[1];
  opcodes[106].argtypes[0] = 1;
  opcodes[106].run = OSCALL;
  opcodes[107].nargs = 1;
  opcodes[107].argtypes = new int[1];
  opcodes[107].argtypes[0] = 2;
  opcodes[107].run = OSCALL;
  opcodes[108].nargs = 1;
  opcodes[108].argtypes = new int[1];
  opcodes[108].argtypes[0] = 1;
  opcodes[108].run = ISINTEGER;
  opcodes[109].nargs = 1;
  opcodes[109].argtypes = new int[1];
  opcodes[109].argtypes[0] = 2;
  opcodes[109].run = ISINTEGER;
  opcodes[110].nargs = 1;
  opcodes[110].argtypes = new int[1];
  opcodes[110].argtypes[0] = 1;
  opcodes[110].run = ISATOM;
  opcodes[111].nargs = 1;
  opcodes[111].argtypes = new int[1];
  opcodes[111].argtypes[0] = 2;
  opcodes[111].run = ISATOM;
  opcodes[112].nargs = 1;
  opcodes[112].argtypes = new int[1];
  opcodes[112].argtypes[0] = 1;
  opcodes[112].run = ISSEQUENCE;
  opcodes[113].nargs = 1;
  opcodes[113].argtypes = new int[1];
  opcodes[113].argtypes[0] = 2;
  opcodes[113].run = ISSEQUENCE;
}
